## org.eclipse.ocl.uml
Interface UMLFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  UMLFactoryImpl

    public interface UMLFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `UMLPackage`

Field Summary
`static UMLFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`AnyType` `createAnyType()` Returns a new object of class 'Any Type'
`AssociationClassCallExp` `createAssociationClassCallExp()` Returns a new object of class 'Association Class Call Exp'
`BagType` `createBagType()` Returns a new object of class 'Bag Type'
`BooleanLiteralExp` `createBooleanLiteralExp()` Returns a new object of class 'Boolean Literal Exp'
`CollectionItem` `createCollectionItem()` Returns a new object of class 'Collection Item'
`CollectionLiteralExp` `createCollectionLiteralExp()` Returns a new object of class 'Collection Literal Exp'
`CollectionRange` `createCollectionRange()` Returns a new object of class 'Collection Range'
`CollectionType` `createCollectionType()` Returns a new object of class 'Collection Type'
`ElementType` `createElementType()` Returns a new object of class 'Element Type'
`EnumLiteralExp` `createEnumLiteralExp()` Returns a new object of class 'Enum Literal Exp'
`ExpressionInOCL` `createExpressionInOCL()` Returns a new object of class 'Expression In OCL'
`IfExp` `createIfExp()` Returns a new object of class 'If Exp'
`IntegerLiteralExp` `createIntegerLiteralExp()` Returns a new object of class 'Integer Literal Exp'
`InvalidLiteralExp` `createInvalidLiteralExp()` Returns a new object of class 'Invalid Literal Exp'
`InvalidType` `createInvalidType()` Returns a new object of class 'Invalid Type'
`IterateExp` `createIterateExp()` Returns a new object of class 'Iterate Exp'
`IteratorExp` `createIteratorExp()` Returns a new object of class 'Iterator Exp'
`LetExp` `createLetExp()` Returns a new object of class 'Let Exp'
`MessageExp` `createMessageExp()` Returns a new object of class 'Message Exp'
`MessageType` `createMessageType()` Returns a new object of class 'Message Type'
`NullLiteralExp` `createNullLiteralExp()` Returns a new object of class 'Null Literal Exp'
`OperationCallExp` `createOperationCallExp()` Returns a new object of class 'Operation Call Exp'
`OrderedSetType` `createOrderedSetType()` Returns a new object of class 'Ordered Set Type'
`PrimitiveType` `createPrimitiveType()` Returns a new object of class 'Primitive Type'
`PropertyCallExp` `createPropertyCallExp()` Returns a new object of class 'Property Call Exp'
`RealLiteralExp` `createRealLiteralExp()` Returns a new object of class 'Real Literal Exp'
`SequenceType` `createSequenceType()` Returns a new object of class 'Sequence Type'
`SetType` `createSetType()` Returns a new object of class 'Set Type'
`StateExp` `createStateExp()` Returns a new object of class 'State Exp'
`StringLiteralExp` `createStringLiteralExp()` Returns a new object of class 'String Literal Exp'
`TupleLiteralExp` `createTupleLiteralExp()` Returns a new object of class 'Tuple Literal Exp'
`TupleLiteralPart` `createTupleLiteralPart()` Returns a new object of class 'Tuple Literal Part'
`TupleType` `createTupleType()` Returns a new object of class 'Tuple Type'
`TypeExp` `createTypeExp()` Returns a new object of class 'Type Exp'
`TypeType` `createTypeType()` Returns a new object of class 'Type Type'
`UnlimitedNaturalLiteralExp` `createUnlimitedNaturalLiteralExp()` Returns a new object of class 'Unlimited Natural Literal Exp'
`UnspecifiedValueExp` `createUnspecifiedValueExp()` Returns a new object of class 'Unspecified Value Exp'
`Variable` `createVariable()` Returns a new object of class 'Variable'
`VariableExp` `createVariableExp()` Returns a new object of class 'Variable Exp'
`VoidType` `createVoidType()` Returns a new object of class 'Void Type'
`UMLPackage` `getUMLPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final UMLFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAnyType

    AnyType createAnyType()

  Returns a new object of class 'Any Type'.

  Returns:
    a new object of class 'Any Type'.

### createVoidType

    VoidType createVoidType()

  Returns a new object of class 'Void Type'.

  Returns:
    a new object of class 'Void Type'.

### createInvalidType

    InvalidType createInvalidType()

  Returns a new object of class 'Invalid Type'.

  Returns:
    a new object of class 'Invalid Type'.

### createElementType

    ElementType createElementType()

  Returns a new object of class 'Element Type'.

  Returns:
    a new object of class 'Element Type'.

### createTypeType

    TypeType createTypeType()

  Returns a new object of class 'Type Type'.

  Returns:
    a new object of class 'Type Type'.

### createMessageType

    MessageType createMessageType()

  Returns a new object of class 'Message Type'.

  Returns:
    a new object of class 'Message Type'.

### createPrimitiveType

    PrimitiveType createPrimitiveType()

  Returns a new object of class 'Primitive Type'.

  Returns:
    a new object of class 'Primitive Type'.

### createCollectionType

    CollectionType createCollectionType()

  Returns a new object of class 'Collection Type'.

  Returns:
    a new object of class 'Collection Type'.

### createTupleType

    TupleType createTupleType()

  Returns a new object of class 'Tuple Type'.

  Returns:
    a new object of class 'Tuple Type'.

### createBagType

    BagType createBagType()

  Returns a new object of class 'Bag Type'.

  Returns:
    a new object of class 'Bag Type'.

### createSetType

    SetType createSetType()

  Returns a new object of class 'Set Type'.

  Returns:
    a new object of class 'Set Type'.

### createOrderedSetType

    OrderedSetType createOrderedSetType()

  Returns a new object of class 'Ordered Set Type'.

  Returns:
    a new object of class 'Ordered Set Type'.

### createSequenceType

    SequenceType createSequenceType()

  Returns a new object of class 'Sequence Type'.

  Returns:
    a new object of class 'Sequence Type'.

### createExpressionInOCL

    ExpressionInOCL createExpressionInOCL()

  Returns a new object of class 'Expression In OCL'.

  Returns:
    a new object of class 'Expression In OCL'.

### createAssociationClassCallExp

    AssociationClassCallExp createAssociationClassCallExp()

  Returns a new object of class 'Association Class Call Exp'.

  Returns:
    a new object of class 'Association Class Call Exp'.

### createBooleanLiteralExp

    BooleanLiteralExp createBooleanLiteralExp()

  Returns a new object of class 'Boolean Literal Exp'.

  Returns:
    a new object of class 'Boolean Literal Exp'.

### createCollectionItem

    CollectionItem createCollectionItem()

  Returns a new object of class 'Collection Item'.

  Returns:
    a new object of class 'Collection Item'.

### createCollectionLiteralExp

    CollectionLiteralExp createCollectionLiteralExp()

  Returns a new object of class 'Collection Literal Exp'.

  Returns:
    a new object of class 'Collection Literal Exp'.

### createCollectionRange

    CollectionRange createCollectionRange()

  Returns a new object of class 'Collection Range'.

  Returns:
    a new object of class 'Collection Range'.

### createEnumLiteralExp

    EnumLiteralExp createEnumLiteralExp()

  Returns a new object of class 'Enum Literal Exp'.

  Returns:
    a new object of class 'Enum Literal Exp'.

### createIfExp

    IfExp createIfExp()

  Returns a new object of class 'If Exp'.

  Returns:
    a new object of class 'If Exp'.

### createIntegerLiteralExp

    IntegerLiteralExp createIntegerLiteralExp()

  Returns a new object of class 'Integer Literal Exp'.

  Returns:
    a new object of class 'Integer Literal Exp'.

### createUnlimitedNaturalLiteralExp

    UnlimitedNaturalLiteralExp createUnlimitedNaturalLiteralExp()

  Returns a new object of class 'Unlimited Natural Literal Exp'.

  Returns:
    a new object of class 'Unlimited Natural Literal Exp'.

### createInvalidLiteralExp

    InvalidLiteralExp createInvalidLiteralExp()

  Returns a new object of class 'Invalid Literal Exp'.

  Returns:
    a new object of class 'Invalid Literal Exp'.

### createIterateExp

    IterateExp createIterateExp()

  Returns a new object of class 'Iterate Exp'.

  Returns:
    a new object of class 'Iterate Exp'.

### createIteratorExp

    IteratorExp createIteratorExp()

  Returns a new object of class 'Iterator Exp'.

  Returns:
    a new object of class 'Iterator Exp'.

### createLetExp

    LetExp createLetExp()

  Returns a new object of class 'Let Exp'.

  Returns:
    a new object of class 'Let Exp'.

### createMessageExp

    MessageExp createMessageExp()

  Returns a new object of class 'Message Exp'.

  Returns:
    a new object of class 'Message Exp'.

### createNullLiteralExp

    NullLiteralExp createNullLiteralExp()

  Returns a new object of class 'Null Literal Exp'.

  Returns:
    a new object of class 'Null Literal Exp'.

### createOperationCallExp

    OperationCallExp createOperationCallExp()

  Returns a new object of class 'Operation Call Exp'.

  Returns:
    a new object of class 'Operation Call Exp'.

### createPropertyCallExp

    PropertyCallExp createPropertyCallExp()

  Returns a new object of class 'Property Call Exp'.

  Returns:
    a new object of class 'Property Call Exp'.

### createRealLiteralExp

    RealLiteralExp createRealLiteralExp()

  Returns a new object of class 'Real Literal Exp'.

  Returns:
    a new object of class 'Real Literal Exp'.

### createStateExp

    StateExp createStateExp()

  Returns a new object of class 'State Exp'.

  Returns:
    a new object of class 'State Exp'.

### createStringLiteralExp

    StringLiteralExp createStringLiteralExp()

  Returns a new object of class 'String Literal Exp'.

  Returns:
    a new object of class 'String Literal Exp'.

### createTupleLiteralExp

    TupleLiteralExp createTupleLiteralExp()

  Returns a new object of class 'Tuple Literal Exp'.

  Returns:
    a new object of class 'Tuple Literal Exp'.

### createTupleLiteralPart

    TupleLiteralPart createTupleLiteralPart()

  Returns a new object of class 'Tuple Literal Part'.

  Returns:
    a new object of class 'Tuple Literal Part'.

### createTypeExp

    TypeExp createTypeExp()

  Returns a new object of class 'Type Exp'.

  Returns:
    a new object of class 'Type Exp'.

### createUnspecifiedValueExp

    UnspecifiedValueExp createUnspecifiedValueExp()

  Returns a new object of class 'Unspecified Value Exp'.

  Returns:
    a new object of class 'Unspecified Value Exp'.

### createVariable

    Variable createVariable()

  Returns a new object of class 'Variable'.

  Returns:
    a new object of class 'Variable'.

### createVariableExp

    VariableExp createVariableExp()

  Returns a new object of class 'Variable Exp'.

  Returns:
    a new object of class 'Variable Exp'.

### getUMLPackage

    UMLPackage getUMLPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.